阿里云
阿里云多端小程序中小企业获客首选
发表主题 回复主题
  • 3657阅读
  • 0回复

[安全漏洞公告专区]【漏洞公告】CVE-2017-0882:GitLab信息泄露高危漏洞

级别: 论坛版主
发帖
241
云币
478
GitLab 是一个使用 Ruby on Rails 开发的开源应用程序,实现了一个 Git 仓库管理平台,可通过 Web 界面进行访问公开的或者私有的项目,在企业中得到的广泛的使用。 *n9=Q9  
2017年3月20日,GitLab官方发布了8.17.4、8.16.8和8.15.8版本(社区版和企业版),修复多个高危漏洞,其中包含一个针对关键信息泄露漏洞的更新补丁,针对SSRF攻击的防护,以及针对可导致Atom源中私有邮件地址泄露漏洞的补丁,ElasticSearch中私有库数据泄露的补丁等,攻击者可以通过这些漏洞来获取相应的用户权限,危害严重。 LKM;T-  
具体漏洞详情如下: xE6hE'rh.O  
                    
> q8)~  
漏洞编号: |cl*wFm|3  
CVE-2017-0882 Md*.q^:  
漏洞名称: G9~ 4?v6:  
GitLab信息泄露高危漏洞 gq.l=xS  
官方评级: Hw,@oOh.  
高危 :d|~k  
漏洞描述: N@I=X-7nh|  
该漏洞可导致拥有向其他用户发送issue或merge请求权限的攻击者获取到该用户的private token, email token, email地址和加密的OTP secret。想要利用漏洞需要有Reporter级别的权限。通过Gitlab API和敏感信息,就能以该用户权限进行操作,如果目标用户是管理员则可能产生更大危害。 ugs9>`fF&  
造成该漏洞漏洞的原因是对用户对象序列化过程中的一个bug,这个问题自GitLab 8.7.0版本就开始出现。 /Uni6O)oc  
漏洞利用条件和方式: eI/5foA  
黑客可以实现远程利用该漏洞执行代码。   Z)<lPg!YAR  
漏洞影响范围: ;esOe\z jE  
  • 8.7.0至8.15.7
  • 8.16.0至8.16.7
  • 8.17.0至8.17.3
\$xj>b;  
漏洞检测与确认: 7DWGYvv[  
  1. 打开项目;
  2. 打开项目的issue跟踪器;
  3. 创建一个issue,将issue拥有权限分配给另一个用户;
  4. 查看返回的JSON,检查其中是否有敏感信息。
FlT5R*m  
漏洞修复建议(或缓解措施): 2CV?cm  
  • 升级 GitLab 至以下相应版本:
8.15.8 Fm[3Btn  
8.16.8 [G"Va_A8  
8.17.4
mpd?F 'V  
  • 由于漏洞的性质,用户的token可能会缓存在代理或浏览器中,升级完毕后,建议所有系统管理员尽快重置所有用户的private token和email token;
,k}(]{ -  
提醒:在升级前请做好快照备份。 G BM8:IG \  
情报来源:    [$ z-  
  • https://about.gitlab.com/2017/03/20/gitlab-8-dot-17-dot-4-security-release/
_>4)q=  
阿里整套安全产品和服务云盾集阿里巴巴集团多年来安全技术研究积累的成果,同时结合阿里云计算平台强大的数据分析能力 ^`bMFsP  
BCh|^Pk  
@iN"]GFjS  
最热活动:云产品5折起 kG`&Z9P  
JgBC:t^\pV  
+9B .}t#  
m"wP]OQH*+  
k&17 (Tv$  
&mm!UJ  
gKtgW&PYm  
l_Zx'm  
dj{~!}  
(QQkXlJ  
]AX3ov6z9;  
Zr[B*1,ZV  
i:1 @ vo  
0B: v0 R  
w@LLxL>Y  
R[OXYHu  
[ 此帖被正禾在2017-03-21 19:05重新编辑 ]
发表主题 回复主题
« 返回列表上一主题下一主题

限100 字节
如果您在写长篇帖子又不马上发表,建议存为草稿
 
验证问题: 阿里云官网域名是什么? 正确答案:www.aliyun.com
上一个 下一个
      ×
      全新阿里云开发者社区, 去探索开发者的新世界吧!
      一站式的体验,更多的精彩!
      通过下面领域大门,一起探索新的技术世界吧~ (点击图标进入)